package br.com.cadastro;

import java.util.Scanner;
import java.util.logging.ConsoleHandler;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class ClienteCad {

	private static final Logger log = Logger.getLogger(ClienteCad.class.getName());
	
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		
		try{
				Handler noconsole = new ConsoleHandler();
				Handler noarquivo = new FileHandler("C:\\cadastroclientelog.txt",true);
				
				noconsole.setLevel(Level.WARNING);//apenas acima de warning no console
				noarquivo.setLevel(Level.ALL);//todos os logs no arquivo
				
				noarquivo.setFormatter(new SimpleFormatter() );
				
				log.addHandler(noconsole);
				log.addHandler(noarquivo);
				log.setUseParentHandlers(false);
		}catch (Exception e) {
			log.warning("O arquivo nao pode ser criado");
		}
		cadCliente(new Cliente());
	}
	
	public static void cadCliente(Cliente cliente){
		Scanner sc = new Scanner(System.in);
		System.out.println("Digite o nome do cliente");
			String nome = sc.nextLine(); 
			log.info("cliente " + nome + " ser gravado no arquivo");
		cliente.setNome(nome);
		System.out.println("Digite o cpf do cliente");
			String cpf = sc.nextLine();
			cliente.setCpf(cpf);
		if(cpf.isEmpty()){
			log.severe("O usuario nao informou o cpf do cliente");
		}
		log.info("programa foi encerrado");
	}	

}
