package br.com.forlinux;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.Formatter;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.LogRecord;

public class HTMLFormatter extends Formatter {

	@Override
	public String format(LogRecord record) {
		StringBuilder sb = new StringBuilder();
		sb.append("<table>");
			sb.append("<tr>");
			sb.append("<td>");
			if(record.getLevel().intValue()>= Level.WARNING.intValue()){
				sb.append("<b><font color=red>");
				sb.append(record.getLevel());
				sb.append("</b></font>");
			}else{
				sb.append(record.getLevel());
			}
			sb.append("</td>\n");
			sb.append("<td>\n");
			sb.append(milliToDate(record.getMillis()));
	        sb.append("</td>\n");
	        sb.append("<td>\n");
	        sb.append(formatMessage(record));
	        sb.append("</td>\n");
	        sb.append("</tr>\n");
	        sb.append("</table>\n");
	        return sb.toString();
	    }

	    private String milliToDate(long millis){
	        SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
	        return format.format(new Date(millis));
	    }

	
		

}
